# Generated from uri_template-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name uri_template

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: A templating system for URIs
License: MIT
URL: http://github.com/hannesg/uri_template
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(multi_json)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
A templating system for URIs, which implements RFC6570 and Colon based
URITemplates in a clean and straight forward way.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/uri_template.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.7.0-1
- Initial package
